From 91799593e16ada1dab4266d1f614d6be4998863a Mon Sep 17 00:00:00 2001
From: Niels Thykier <niels@thykier.net>
Date: Mon, 28 Jun 2010 14:56:51 +0200
Subject: [PATCH 2/2] Added all the packaging related changes to include pdebdiff.

---
 debian/changelog |    6 ++++++
 debian/control   |    8 +++++---
 debian/copyright |    4 ++--
 scripts/Makefile |    2 +-
 4 files changed, 14 insertions(+), 6 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 0fc3282..c286602 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -36,6 +36,12 @@ devscripts (2.10.65) UNRELEASED; urgency=low
     + Fix handling of indented heredoc delimiters.
     + Fix some parsing of quoted strings.
 
+  [ Niels Thykier ]
+  * Added pdebdiff, which diffs the debian folder of two packages.
+    (Closes: #575395)
+  * Replaced a "copyright" that should have been "licensed" in d/copyright.
+
+
  -- Martin Zobel-Helas <zobel@debian.org>  Tue, 11 May 2010 20:48:16 +0200
 
 devscripts (2.10.64) unstable; urgency=low
diff --git a/debian/control b/debian/control
index cc603ed..9c6b2f0 100644
--- a/debian/control
+++ b/debian/control
@@ -21,9 +21,9 @@ Recommends: at, curl | wget, dctrl-tools, debian-keyring, debian-maintainers,
  man-db, patch, patchutils, ssh-client, strace, unzip, wdiff, www-browser,
  subversion | cvs | darcs | tla | bzr | git-core | mercurial, lzma,
  xz-utils, sensible-utils, libjson-perl
-Suggests: build-essential, cvs-buildpackage, devscripts-el, gnuplot,
- libfile-desktopentry-perl, libnet-smtp-ssl-perl (>= 1.01-2), mutt,
- svn-buildpackage, w3m
+Suggests: build-essential, colordiff, cvs-buildpackage, devscripts-el,
+ gnuplot, less, libfile-desktopentry-perl, libdpkg-perl,
+ libnet-smtp-ssl-perl (>= 1.01-2), mutt, svn-buildpackage, w3m
 Description: scripts to make the life of a Debian Package maintainer easier
  Contains the following scripts, dependencies/recommendations shown in
  brackets afterwards:
@@ -105,6 +105,8 @@ Description: scripts to make the life of a Debian Package maintainer easier
   - namecheck: Check project names are not already taken.
   - nmudiff: mail a diff of the current package against the previous version
     to the BTS to assist in tracking NMUs [patchutils, mutt]
+  - pdebdiff: diffs only the debian/ folder of two packages
+    [libdpkg-perl, patchutils, git-core, less, colordiff]
   - plotchangelog: view a nice plot of the data in a changelog file
     [libtimedate-perl, gnuplot]
   - pts-subscribe: subscribe to the PTS for a limited period of time
diff --git a/debian/copyright b/debian/copyright
index 822b50b..b7368d6 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -25,8 +25,8 @@ the GPL, version 2 or later.
 
 - deb-reversion is under the Artistic License version 2.0.
 
-- namecheck and the Perl module DB_File::Lock used by bts are copyright
-  under the same terms as Perl, that is:
+- qdebdiff, namecheck and the Perl module DB_File::Lock used by bts are
+  licensed under the same terms as Perl, that is:
 
     This program is free software; you can redistribute it and/or modify
     it under the terms of either:
diff --git a/scripts/Makefile b/scripts/Makefile
index b1dbea9..60dde26 100644
--- a/scripts/Makefile
+++ b/scripts/Makefile
@@ -16,7 +16,7 @@ COMPLETION = $(patsubst %.bash_completion,devscripts.%,$(COMPL_FILES))
 GEN_MAN1S = bts.1 build-rdeps.1 chdist.1 dcontrol.1 debcheckout.1 debcommit.1 \
 	    deb-reversion.1 desktop2menu.1 dget.1 licensecheck.1 mass-bug.1 \
 	    mk-build-deps.1 namecheck.1 rmadison.1 svnpath.1 tagpending.1 \
-	    transition-check.1 devscripts.1
+	    transition-check.1 devscripts.1 pdebdiff.1
 
 BINDIR = /usr/bin
 LIBDIR = /usr/lib/devscripts
-- 
1.7.1

